For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTExecute Query
LogoLogo
Login
Login
Data APIQuery

Execute Query

POST
/v1/vaults/:vaultID/query
POST
/v1/vaults/:vaultID/query
$curl -X POST https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/query \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "query": "select * from opportunities where id=\"01010000ade21cded569d43944544ec6\""
>}'
1{
2 "records": [
3 {
4 "fields": {
5 "Estimated Value": 10000,
6 "Expected Close Date": "2017-07-12",
7 "Opportunity Name": "BPS Pilot",
8 "Owner": {
9 "email": "kat+collab15@skyflow.com",
10 "id": "usrijG9SC4EQlq5cm",
11 "name": "Jess Patel"
12 },
13 "Priority": "Medium",
14 "Proposal Deadline": "2017-06-14",
15 "Status": "Qualification"
16 }
17 },
18 {
19 "fields": {
20 "Estimated Value": 24791,
21 "Expected Close Date": "2017-07-07",
22 "Opportunity Name": "BPS second use case",
23 "Owner": {
24 "email": "kat+collab36@skyflow.com",
25 "id": "usrGqHsNLhH41Q91M",
26 "name": "Sandy Hagen"
27 },
28 "Priority": "Very Low Deprioritize",
29 "Status": "Proposal"
30 }
31 }
32 ]
33}
Returns records for a valid SQL query. This endpoint <ul><li>Can return redacted record values.</li><li>Supports only the <code>SELECT</code> command.</li><li>Returns a maximum of 25 records. To return additional records, perform another query using the <code>OFFSET</code> keyword.</li><li>Can't modify the vault or perform transactions.</li><li>Can't return tokens.</li><li>Can't return file download or render URLs.</li><li>Doesn't support the <code>WHERE</code> keyword with columns using transient tokenization.</li><li>Doesn't support `?` conditional for columns with column-level encryption disabled.</li><ul>
Was this page helpful?
Previous

Upload File

Next
Built with
Returns records for a valid SQL query. This endpoint <ul>
  • Can return redacted record values.
  • Supports only the SELECT command.
  • Returns a maximum of 25 records. To return additional records, perform another query using the OFFSET keyword.
  • Can’t modify the vault or perform transactions.
  • Can’t return tokens.
  • Can’t return file download or render URLs.
  • Doesn’t support the WHERE keyword with columns using transient tokenization.
  • Doesn’t support ? conditional for columns with column-level encryption disabled.
  • <ul>

    Authentication

    AuthorizationBearer

    Access token, prefixed by Bearer .

    Path parameters

    vaultIDstringRequired
    ID of the vault.

    Request

    This endpoint expects an object.
    querystringRequired
    The SQL query to execute.

    Supported commands:
    • SELECT
    Supported operators:
    • >
    • <
    • =
    • AND
    • OR
    • NOT
    • LIKE
    • ILIKE
    • NULL
    • NOT NULL
    Supported keywords:
    • FROM
    • JOIN
    • INNER JOIN
    • LEFT OUTER JOIN
    • LEFT JOIN
    • RIGHT OUTER JOIN
    • RIGHT JOIN
    • FULL OUTER JOIN
    • FULL JOIN
    • OFFSET
    • LIMIT
    • WHERE
    Supported functions:
    • AVG()
    • SUM()
    • COUNT()
    • MIN()
    • MAX()
    • REDACTION()

    Response

    OK
    recordslist of objects
    Records returned by the query.

    Errors

    400
    Bad Request Error
    401
    Unauthorized Error
    500
    Internal Server Error